Subject: Re: [sipcore] 4244bis-05: Multiple forks from the UA

From: Shida Schubert <[email-masked]>
Date: Sun, 10 Jul 2011 17:13:08 +0900

Hi Dale;

 I think, I understand what you are saying but I am not sure 
I understand what you are suggesting we do to the draft to 
cover this fact. 

 The draft as you read it implies that this can happen as you 
suggested here, and the index of the first three entries of 
H-I may indeed be 1, 2 and 3. 

 Regards
  Shida

On Jun 23, 2011, at 5:52 AM, Worley, Dale R (Dale) wrote:

> In regard to the "root" of the History-Info tree, as the draft is written, we are already
> requiring the possibility of H-I entries with indexes "2", "3", etc., that is, siblings of
> the entry "1" that the phone creates.
> 
> How?  The phone may receive a 3xx response to its first request.  Per the rules
> of the draft, the new requests generated due to a 3xx response to request "1"
> are siblings of request "1", and so are numbered "2", "3", etc.
> 
> One consequence of this is that if we consider the H-I entries as nodes in a
> tree, we have to allow that the root of the tree is *not* represented by an H-I entry,
> and that the H-I entries with single integer index-vals are children of the root.
> 
> Another consequence is that this technical problem is solved:
> 
>    [Also need to take care of the case where the UAC generates several
>    requests as forks of a theoretical ancestral request, as is used in
>    draft-ietf-bliss-call-completion.  It seems like they should have
>    index=1, index=2, index=3, etc.]
> 
> Since entries "1", "2", "3", etc. can be generated by normal redirection, H-I processing
> software should not get confused when a UA generates more than one initial fork.
> 
> Dale
> _______________________________________________
> sipcore mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sipcore